Name:           python-blurb
Version:        1.1.0
Release:        %autorelease
Summary:        Command-line tool to manage CPython Misc/NEWS.d entries

License:        BSD
URL:            https://github.com/python/core-workflow/tree/master/blurb
Source:         %pypi_source blurb %{version}
BuildArch:      noarch

BuildRequires:  python3-devel

%description
Blurb is a tool designed to rid CPython core development of the scourge of
Misc/NEWS conflicts.

%package -n     python3-blurb
Summary:        %{summary}
Provides:       blurb = %{version}-%{release}

# Calls git in subprocess
Requires:       /usr/bin/git

%description -n python3-blurb
Blurb is a tool designed to rid CPython core development of the scourge of
Misc/NEWS conflicts.

%prep
%autosetup -n blurb-%{version}

# script in site-packages
sed -i '1d' blurb.py
chmod -x blurb.py


%generate_buildrequires
%pyproject_buildrequires -r


%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files blurb

%check
PYTHONPATH=%{buildroot}%{python3_sitelib} %{buildroot}%{_bindir}/blurb --help

%files -n python3-blurb -f %{pyproject_files}
%license LICENSE.txt
%doc README.rst
%{_bindir}/blurb

%changelog
%autochangelog
