Name:           python-ibm-cloud-sdk-core
Epoch:          1
Version:        3.18.2
Release:        %autorelease
Summary:        Core library used by SDKs for IBM Cloud Services

License:        Apache-2.0
URL:            https://github.com/IBM/python-sdk-core
Source0:        %{pypi_source ibm-cloud-sdk-core}
Patch0:         fix-deps.patch

BuildArch:      noarch
BuildRequires:  python3-devel

%global _description %{expand:
The python-sdk-core repository contains core functionality required by Python
code generated by the IBM OpenAPI SDK Generator.
}


%description %_description

%package -n     python3-ibm-cloud-sdk-core
Summary:        %{summary}

%description -n python3-ibm-cloud-sdk-core %_description


%prep
%autosetup -p1 -n ibm-cloud-sdk-core-%{version}
echo > requirements-dev.txt

%generate_buildrequires
%pyproject_buildrequires -r


%build
%pyproject_wheel


%install
%pyproject_install


%check
# some tests requires internet connections or credentials
# %%pytest --strict-markers --verbose --tb=long test

%files -n python3-ibm-cloud-sdk-core
%doc README.md
%license LICENSE
%{python3_sitelib}/ibm_cloud_sdk_core
%{python3_sitelib}/ibm_cloud_sdk_core-%{version}.dist-info/
%exclude %{python3_sitelib}/test
%exclude %{python3_sitelib}/test_integration

%changelog
%autochangelog
